#################################################################################
# Created       : Martin Foster
# Modified      : 02/26/2001
#################################################################################
#
# Home - Home page module for Ethereal-Realms 
# Copyright (C) 2000-2001  Martin Foster
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# Author of this script can be contacted at the following:
#       E-Mail  : martin@ethereal-realms.org
#       Address : 204 - 817, 5th Street NE
#                 Calgary, Alberta
#                 T2E 3W9
#
#################################################################################

package Webchat::Home;

#################################################################################
# Sub-Routines
#################################################################################

#####################
# Directory Clear 
#
# Allows for the removal of a users Home page.  This is of course assuming that
# there are no sub-directories, which the home page component does not allow.
# However if this is the case, the function is recursive.

sub DirClear	 						# Directory name 
{
	#####################
	# Data members
	my $dir      = shift;					# Directory name 
	my $file;						# File name


	#####################
	# Program area

	# Open Directory Handle 
 	opendir(DIR, $dir) or return $size, $count;	

	# Read through directory listing
	while ($file = readdir(DIR))
	{
		# Skip parent and current 
		next if ($file eq '.');
		next if ($file eq '..');			

		# Remove folders recursively 
		if (-d "$dir/$file") { FileListing("$dir/$file"); }
		else { unlink("$dir/$file"); }
	}	

	# Close handle
	closedir(DIR);

	# Remove directory
	return rmdir($dir);
}

1;								# Return true
